import { AdapterConfigMetadata as $64$luvio_engine_AdapterConfigMetadata, Luvio as $64$luvio_engine_Luvio, DispatchResourceRequestContext as $64$luvio_engine_DispatchResourceRequestContext, DeleteAdapterFactory as $64$luvio_engine_DeleteAdapterFactory } from '@luvio/engine';
import { Untrusted as adapter$45$utils_Untrusted, AdapterValidationConfig as adapter$45$utils_AdapterValidationConfig } from './adapter-utils';
import { ResourceRequestConfig as resources_deleteSsotDataTransformsByDataTransformNameOrId_ResourceRequestConfig } from '../resources/deleteSsotDataTransformsByDataTransformNameOrId';
export declare const adapterName = "deleteDataTransform";
export declare const deleteDataTransform_ConfigPropertyMetadata: $64$luvio_engine_AdapterConfigMetadata[];
export declare const deleteDataTransform_ConfigPropertyNames: adapter$45$utils_AdapterValidationConfig;
export interface DeleteDataTransformConfig {
    dataTransformNameOrId: string;
}
export declare const createResourceParams: (config: DeleteDataTransformConfig) => resources_deleteSsotDataTransformsByDataTransformNameOrId_ResourceRequestConfig;
export declare function typeCheckConfig(untrustedConfig: adapter$45$utils_Untrusted<DeleteDataTransformConfig>): adapter$45$utils_Untrusted<DeleteDataTransformConfig>;
export declare function validateAdapterConfig(untrustedConfig: unknown, configPropertyNames: adapter$45$utils_AdapterValidationConfig): DeleteDataTransformConfig | null;
export declare function buildNetworkSnapshot(luvio: $64$luvio_engine_Luvio, config: DeleteDataTransformConfig, options?: $64$luvio_engine_DispatchResourceRequestContext): Promise<void>;
export declare const deleteDataTransformAdapterFactory: $64$luvio_engine_DeleteAdapterFactory<DeleteDataTransformConfig>;
