import { IngestPath as $64$luvio_engine_IngestPath, Luvio as $64$luvio_engine_Luvio, Store as $64$luvio_engine_Store, FragmentSelection as $64$luvio_engine_FragmentSelection, ResourceIngest as $64$luvio_engine_ResourceIngest, DurableStoreKeyMetadataMap as $64$luvio_engine_DurableStoreKeyMetadataMap, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata } from '@luvio/engine';
export declare const VERSION = "3fd0683a6603c98784b3d4aeb83ea69b";
export declare function validate(obj: any, path?: string): TypeError | null;
export declare const RepresentationType: string;
export declare function normalize(input: BaseActionRepresentation, existing: BaseActionRepresentationNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number): BaseActionRepresentationNormalized;
export declare const select: () => $64$luvio_engine_FragmentSelection;
export declare function equals(existing: BaseActionRepresentationNormalized, incoming: BaseActionRepresentationNormalized): boolean;
export declare const ingest: $64$luvio_engine_ResourceIngest;
export declare function getTypeCacheKeys(rootKeySet: $64$luvio_engine_DurableStoreKeyMetadataMap, luvio: $64$luvio_engine_Luvio, input: BaseActionRepresentation, fullPathFactory: () => string | $64$luvio_engine_NormalizedKeyMetadata): void;
/**
 * Base Action Urls
 *
 * Keys:
 *    (none)
 */
export interface BaseActionRepresentationNormalized {
    /** Url to Refresh Status Action */
    refreshStatusAction: string;
    /** Url to Retry Action */
    retryAction: string;
}
/**
 * Base Action Urls
 *
 * Keys:
 *    (none)
 */
export interface BaseActionRepresentation {
    refreshStatusAction: string;
    retryAction: string;
}
